Bug 1017923 - can't resize window vertically
can't resize window vertically
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 15:26 EDT by Chris Murphy
Modified: 2013-11-09 19:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-09 19:04:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virsh dumpxml (4.54 KB, text/plain)
2013-10-10 15:26 EDT, Chris Murphy
no flags Details
screencast (421.85 KB, video/webm)
2013-10-16 15:59 EDT, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2013-10-10 15:26:38 EDT
Created attachment 810723 [details]
virsh dumpxml

Description of problem: The bottom part of the virt-manager window is apparently below the bottom of the physical screen. When I move the mouse to the sides, I get a resize indication and can resize horizontally. I cannot resize vertically or diagonally. So at the moment I either have to resize it horizontally then scale always to see the full environment; or I'm stuck with buttons in the VM that are off screen: so either tiny VM or non-controllable VM.


Version-Release number of selected component (if applicable):
virt-manager-0.10.0-4.git79196cdf.fc20.noarch

How reproducible:
Always. I usually can go Fullscreen then back to non-fullscreen which somehow resets the bottom of the virt-manager window so I can resize diagonally. But right now when I choose Fullscreen nothing happens so I can't do that.


Steps to Reproduce:
1. Install Fedora 20 to baremetal, native screen is 1440x900.
2. Boot within virt-manager, the F20 beta TC2 media

Actual results:
By default the window the VM is in, isn't vertically resizable.

Expected results:
I should be able to resize it by default.

Additional info:
/usr/bin/qemu-system-x86_64 -machine accel=kvm -name fedora20 -S -machine pc-i440fx-1.6,accel=kvm,usb=off -m 1024 -realtime mlock=off -smp 2,sockets=2,cores=1,threads=1
Comment 1 Chris Murphy 2013-10-10 15:58:42 EDT
OK apparently not always. I quit, logged out, logged back in, restarted virt-manager and now it's cooperating. And I can't figure out how I got it into that unresizeable state to begin with. Will reopen if I get more info.
Comment 2 Chris Murphy 2013-10-16 15:58:19 EDT
Reopening, I have a way to reproduce this and will attach a screencast.
Comment 3 Chris Murphy 2013-10-16 15:59:52 EDT
Created attachment 813097 [details]
screencast

There's more than one way to get into this predicament, but once the bottom of the window automatically extends below the bottom "horizon" of the display, there's no way to resize the window.
Comment 4 Cole Robinson 2013-11-09 19:04:29 EST
If there's a bug here I don't think it's virt-manager. Resizing off the edge of the screen seems like it's doing what is expected. And allowing the app to be resized when the widgets on screen require all that vertical space is difficult to do in a usable fashion.

You can also resize vertically by grabbing the top corners of the window, which works even if the top window bar is flush against the gnome shell top bar, so I think that should do what you want.

Closing as WORKSFORME, please reopen if I've missed something

Note You need to log in before you can comment on or make changes to this bug.